.panel_body {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
}

.panel_body .panel_side {
    display: flex;
    flex-direction: column;
    width: 270px;
    height: 100%;
}

.panel_body .panel_side .logo {
    height: 50px;
    margin-bottom: 16px;
}

.panel_body .panel_side .user_detail {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 16px;
    background-color: var(--green_900);
    padding: 70px 16px;
    box-sizing: border-box;
    border-radius: 5px 5px 0 0;
}

.panel_body .panel_side .user_detail img {
    width: 45px;
    height: 45px;
    border-radius: var(--radius_25);
    object-fit: cover;
    border: 1px solid var(--gray-dark);
    box-shadow: var(--box_shadow);
    background-color: var(--white);
}

.panel_body .panel_side .user_detail .detail {
    display: flex;
    flex-direction: column;
    margin-right: 16px;
    color: var(--light);
}

.panel_body .panel_side .user_detail .detail .title {
    font-weight: 400;
    font-size: 12pt;
}

.panel_body .panel_side .user_detail .detail .sub_title {
    font-size: 8pt;
}

.panel_body .panel_side .panel_menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: calc(100vh - 171px);
    overflow: auto;
    justify-content: flex-start;
}

.panel_body .panel_side .panel_menu a {
    color: var(--dark);
    padding: 12px 16px;
    display: flex;
    align-items: baseline;
    flex-direction: row;
    border-radius: var(--radius_5);
}

.panel_body .panel_side .panel_menu a:hover {
    color: var(--orange);
}

.panel_body .panel_side .panel_menu .current span,
.panel_body .panel_side .panel_menu .current {
    color: var(--orange);
    font-weight: 400;
}

.panel_body .panel_side .panel_menu i {
    width: 24px;
}

.panel_body .panel_side .panel_menu .counter {
    margin-right: auto;
    color: var(--danger);
}

.panel_main {
    display: flex;
    flex-direction: column;
    padding: 0 10px 10px 0;
    box-sizing: border-box;
    width: calc(100% - 270px);
    height: 100%;
}

.panel_main .main {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.panel_main .panel_header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 16px 8px;
    box-sizing: border-box;
    width: 100%;
    position: relative;
    border-radius: 5px 5px 0 0;
    background: var(--green_900);
    margin-bottom: 20px;
}

.panel_main .panel_header .menu_res_btn {
    color: var(--white);
    display: none;
    width: auto;
}

.panel_main .panel_header .menu_res_btn span {
    font-size: 10pt;
    margin-right: 8px;
}

.panel_main .panel_header .title {
    color: var(--white);
}

.panel_main .panel_header .title i {
    margin-left: 8px;
}

.panel_main .panel_header .btn_second {
    margin-right: 16px;
    padding: 8px;
    text-align: center;
    height: 39px;
}

.panel_main .panel_header .menu_holder {
    display: flex;
    position: absolute;
    width: 300px;
    text-align: right;
    height: 0;
    padding: 0;
    top: 80px;
    background-image: linear-gradient(-45deg, var(--light), var(--white));
    z-index: 12;
    left: 10px;
    flex-direction: column;
    transform: scale(0, 9);
    overflow: hidden;
    border: 1px solid #aaadcf50;
    align-items: flex-start;
    opacity: 0;

    border: 1px solid var(--secondary);
    box-shadow: var(--box_shadow);
    border-radius: var(--radius_5);
}

.panel_main .panel_header .menu_holder .menu_btn {
    color: var(--dark);
    display: flex;
    flex-direction: row;
    align-items: baseline;
    width: 100%;
    box-sizing: border-box;
    margin: 5px 0;
    justify-content: flex-start;
}

.panel_main .panel_header .menu_holder .menu_btn:hover {
    color: var(--green_700);
}

.notification_list .action_btn_text,
.panel_main .panel_header .menu_holder .action_btn_text {
    display: block;
    width: 100%;
    text-align: left;
}

.notification_list .action_btn_text i,
.panel_main .panel_header .menu_holder .action_btn_text i {
    cursor: pointer;
    padding: 8px;
    font-size: 18px;
    color: var(--green_700);
}

.menu_holder_mobile {
    display: flex;
    flex-direction: column;
    border-top: 1px solid var(--light);
    width: 100%;
}

.menu_holder_mobile .menu_btn {
    justify-content: space-between !important;
}

.menu_holder_mobile .menu_btn i {
    color: var(--green_700);
}

.menu_holder_mobile .menu_btn .result {
    display: flex;
    align-items: center;
}

.menu_holder_mobile .menu_btn .result span {
    font-size: 8pt;
    color: var(--gray);
    margin-right: 3px;
}


.panel_main .panel_header .menu_holder .menu_btn i {
    display: inline-block;
    font-size: 12px;
    margin: 0 5px;
}

.panel_main .panel_header .menu_holder a:hover {
    color: var(--green_700);
}

.panel_main .panel_header.menu_holder .current {
    color: var(--light) !important;
    font-weight: 900;
}


.panel_main .panel_analytics {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
    margin-bottom: 16px;
    padding: 8px 5px;
}

.panel_main .panel_analytics .analytics_item {
    padding: 24px 16px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    min-height: 150px;
    margin-left: 24px;
    background-color: var(--white);
}

.panel_main .panel_analytics .analytics_item:last-child {
    margin-left: 0;
}

.panel_main .panel_analytics .analytics_item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: var(--radius_5);
}

.panel_main .panel_analytics .analytics_item .title {
    margin-bottom: 8px;
    font-weight: 400;
    font-size: 12pt;
    color: var(--gray-dark);
}

.panel_main .panel_analytics .analytics_item .sub_title {
    display: flex;
    align-items: center;
    color: var(--gray-dark);
}

.panel_main .panel_analytics .analytics_item .sub_title strong {
    font-weight: 500;
    font-size: 14pt;
    margin-left: 8px;
}

.panel_main .panel_analytics .analytics_item .sub_title span {
    color: var(--secondary);
    font-size: 8pt;
}

.panel_main .panel_analytics .analytics_item i {
    width: 60px;
    height: 60px;
    text-align: center;
    font-size: 40px;
    padding-top: 10px;
    box-sizing: border-box;
}

.panel_main .panel_analytics .bx_orange i {
    color: var(--orange);
}

.panel_main .panel_analytics .bx_red i {
    color: var(--red);
}

.panel_main .panel_analytics .bx_green i {
    color: var(--green);
}

.table_holder {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 8px 0;
    margin-bottom: 16px;
}

.table_holder .table_name {
    width: 100%;
    display: flex;
    padding: 16px 0;
    box-sizing: border-box;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.table_holder .table_name .title {
    font-weight: 700;
    font-family: var(--kalameh);
}

.table_holder .table_name .btn_secondary {
    font-size: 20px;
    padding: 4px 10px;
}

.table {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.table .table_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    margin-bottom: 10px;
    border-bottom: 1px dashed var(--secondary);
}

.table .table_header_hidden {
    display: none;
}

.table .table_row .num {
    display: none;
    font-size: 18pt;
    font-weight: 400;
    color: var(--green_700);
}

.table .table_row:nth-child(n + 1) {
    background-color: var(--light);
}

.table .table_row .span,
.table .table_row span,
.table .table_header span {
    display: inline-block;
    vertical-align: middle;
    padding: 10px 15px;
    box-sizing: border-box;
    /*height: 40px;*/
}

.table .table_row .table_header_hidden span,
.table .table_header span {
    font-weight: 400 !important;
    color: var(--dark) !important;
}

.table .table_row span {
    /*overflow: hidden;*/
    /*text-overflow: ellipsis;*/
    /*white-space: nowrap;*/
    color: var(--gray-dark);
}

.table .table_row {
    display: block;
    margin-bottom: 10px;
    /*height: 40px;*/
    border-radius: var(--radius_5);
}

.table .table_row:nth-last-child(even) {
    background: var(--white);
}

.table .table_row:hover {
    background-image: linear-gradient(-45deg, #211a6c50, #211a6c30, #211a6c50);
}

.table .table_row .waiting_view span {
    font-weight: 700;
}

.table .table_row .text_btn {
    padding: 0 5px;
    margin-right: 5px;
}

.table .table_row .successfully {
    color: var(--green);
    font-weight: 600;
}

.table .table_row .pending {
    color: var(--orange);
    font-weight: 600;
}

.table .table_row .deny {
    color: var(--red);
    font-weight: 600;
}

.table2 .item {
    padding: 8px 0;
    margin-bottom: 16px;
    border-bottom: 1px solid var(--light_2);
}

.table3 .item:last-child,
.table2 .item:last-child {
    border-bottom: none;
}

.table2 .item .head {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
}

.table2 .item .head .right {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.table2 .item .head .right img {
    width: 80px;
    height: 80px;
    border-radius: var(--radius_5);
    background-color: var(--light);
    object-fit: contain;
    margin-left: 16px;
}

.table2 .item .head .right .sub_title {
    display: flex;
    flex-direction: column;
    color: var(--gray);
    font-size: 8pt;
}

.table3 .item .btn_gray,
.table2 .item .head .btn_gray {
    width: 35px;
    height: 35px;
    padding: 8px;
}

.table2 .item .text {
    font-weight: 500;
    text-align: justify;
    margin: 8px 0;
}

.table2 .item .date {
    font-size: 8pt;
    color: var(--gray);
}

.table2 .item .date i {
    margin-left: 8px;
}

.table3 .item {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 8px 0;
    margin-bottom: 16px;
    border-bottom: 1px solid var(--light);
}

.table3 .item .right {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    width: calc(100% - 50px);
}

.table3 .item .right .calendar {
    display: flex;
    flex-direction: column;
    border-radius: var(--radius_15);
    overflow: hidden;
    width: 60px;
    height: 70px;
    background-color: var(--light);
    margin-left: 16px;
}

.table3 .item .right .calendar .day {
    text-align: center;
    background-color: var(--green_700);
    color: var(--light);
    padding-top: 5px;
    box-sizing: border-box;
    font-weight: 500;
    font-size: 14pt;
}

.table3 .item .right .calendar .m-y {
    text-align: center;
    color: var(--gray);
    padding-top: 8px;
    font-size: 8pt;
}

.table3 .item .right .table_header {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-left: 16px;
    margin-bottom: 0;
    border-bottom: none;
}


.table3 .item .right .table_row .title,
.table3 .item .right .table_header .title {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;

}

.table3 .item .right .table_row .sub_title,
.table3 .item .right .table_header .sub_title {
    font-size: 8pt;
    color: var(--gray) !important;
    height: unset;
    padding: unset;
    font-weight: unset;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.table3 .table_row .title strong {
    margin-left: 8px;
    font-weight: 600;
}

.table3 .table_row .sub_title strong {
    margin-left: 8px;
    font-size: 8pt;
    font-weight: 600;
}

.table3 .table_row span {
    padding: 0;
    height: unset;
}

.table3 .table_row .sub_title span {
    font-size: 8pt;
}

.table3 .item .right .table_row {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    height: unset;
    margin-bottom: 0;
    border-radius: unset;
    background-color: unset !important;
    background-image: none;
    width: calc(100% - 140px);
}

form {
    display: block;
    width: 100%;
}

.form {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    box-sizing: border-box;
}

.form .btn_img_big {
    display: block;
    width: 100%;
    height: 400px;
    margin-bottom: 30px;
}

.form .btn_img_big img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: var(--radius_10);
}

.form .w50 {
    width: calc(50% - 20px);
}

.form input,
.form textarea {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
}

.input {
    position: relative;
    margin-bottom: 32px;
}

.input .input_result {
    font-size: 11pt;
    color: var(--green_700);
}

.input .title {
    display: block;
    font-size: 11pt;
    color: var(--dark);
    padding-top: 13px;
}

.select_control .label,
.form .input .label {
    display: block;
    color: var(--dark);
    position: absolute;
    top: -12px;
    right: 10px;
    background: var(--white);
    font-weight: 300;
    padding: 0 10px;
    box-sizing: border-box;
    border-radius: var(--radius_5);
}

.input .input_clear {
    display: block;
    opacity: 0.2;
    font-size: 10pt;
    color: var(--orange);
    position: absolute;
    top: 12px;
    right: 10px;
    cursor: pointer;
}

.input .input_clear:hover {
    color: var(--red);
}

.checkbox_holder {
    display: inline-block;
    vertical-align: middle;
    margin: 0 15px 0 0;
}

.checkbox_holder .checkbox {
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    text-align: center;
    background: #aaadcf33;;
    border-radius: var(--radius_5);
    border: 1px solid var(--light_2);
    margin-right: 5px;
    cursor: pointer;
}

.checkbox_holder .checked {
    background: var(--green_700);
    border: 1px solid #ffffff80;
}

.checkbox_holder .label {
    display: inline-block !important;
    vertical-align: middle !important;
    position: unset !important;
    margin: 0;
    background: transparent !important;
}

.checkbox i {
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    color: var(--white);
}

.form_btn_holder {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 16px 0;
    width: 100%;
}

.form_btn_holder div
.form_btn_holder .btn_primary,
.form_btn_holder .btn_secondary {
    margin: 0 8px;
}

.table_row .table_order_image {
    display: inline-block;
    vertical-align: middle;
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 5px;
    margin: 2px;
}

.select_control {
    caret-color: var(--green_700);
    color: var(--secondary);
    border-radius: var(--radius_5);
    background: var(--white);
    border: 1px solid;
    border-color: #aaadcf60 #aaadcf60 #aaadcf80 #aaadcf80;
    margin-bottom: 32px;
    font-size: 10pt;
    font-weight: 600;
    position: relative;
    cursor: pointer;
}

.select_control .select_result {
    display: inline-block;
    vertical-align: middle;
    width: calc(100% - 20px);
    height: 100%;
}

.select_control .open_list_icon {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
}

.select_control .select_show {
    display: inline-block;
    vertical-align: middle;
    width: 100%;
    padding: 6px 12px;
    box-sizing: border-box;
    border-radius: 5px;
    color: #959595;
}

.select_control .select_show span,
.select_control .select_show input[type=text] {
    display: inline-block;
    vertical-align: middle;
    font-family: Dana;
    box-sizing: border-box;
    width: calc(100% - 20px);
    background: transparent;
    color: #333333;
}

.select_control .select_show i {
    display: inline-block;
    vertical-align: middle;
    width: 15px;
    text-align: center;
}

.select_control .select_hide {
    display: none;
    position: absolute;
    width: 100%;
    border-radius: 5px;
    overflow: hidden;
    margin-top: 5px;
    box-shadow: var(--box_shadow);
    background: #f6f6f6;
    color: #333333;
    z-index: 11;
}

.select_control .select_hide input {
    display: inline-block;
    width: calc(100% - 48px);
    padding: 5px;
    box-sizing: border-box;
    margin: 5px;
    font-family: Dana;
    caret-color: var(--green_500);
    border-radius: var(--radius_10);
    background: #aaadcf33;
    border: 1px solid;
    color: var(--secondary);
    border-color: #aaadcf60 #aaadcf60 #aaadcf80 #aaadcf80;
}

.select_control .select_hide i {
    display: inline-block;
    width: 33px;
    height: 33px;
    text-align: center;
    padding-top: 9px;
    box-sizing: border-box;
    background-image: linear-gradient(-45deg, #e8411877, #e8411844, #e8411877);
    border: 1px solid #ffffff80;
    color: var(--light);
    border-radius: var(--radius_10);
    cursor: pointer;
}

.select_control .select_hide .select_hide_scroll {
    max-height: 300px;
    overflow: auto;
}

.select_control .select_hide span {
    display: block;
    padding: 5px 10px;
    cursor: pointer;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.select_control .select_hide span:hover {
    background: #ffffff;
}

.message_holder {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.message_holder .message_item .user_detail .user_img {
    display: inline-block;
    width: 45px;
    height: 45px;
    border-radius: var(--radius_50);
    border: 1px solid var(--secondary);
    position: relative;
    color: var(--secondary);
    background: var(--white);
    margin-left: 10px;
}

.message_holder .message_item .user_detail .user_img i {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    font-size: 26px;
    width: 30px;
    height: 30px;
    margin: auto;
    text-align: center;
}

.message_holder .message_item {
    display: flex;
    position: relative;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 30px;
    border-radius: var(--radius_5);
    background: var(--light);
    padding: 16px 8px;
    box-sizing: border-box;
    width: calc(100% - 100px);
}

.message_holder .message_item:last-child {
    margin-bottom: 0;
}

.message_holder .sub_title {
    display: block;
    font-size: 10pt;
    color: var(--dark);
    padding: 10px 30px;
    text-align: justify;
    font-weight: 600;
}

.sub_title .name {
    font-weight: 800;
    font-size: 14pt;
    font-family: ocra, Peyda;
}

.message_holder .overflow_auto {
    height: 500px;
}

.message_holder .admin {
    margin: 20px 0;
    text-align: left;
    float: left;
    justify-content: end;

}

.message_holder .message_item .user_detail {
    display: inline-block;
    vertical-align: top;
    width: 45px;
    height: 45px;
    border-radius: var(--radius_20);
    text-align: right;
    margin-left: 10px;
}

.message_holder .message_item .user_detail img {
    display: inline-block;
    vertical-align: middle;
    margin-left: 10px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--radius_50);
    background: #aaadcf33;
    padding: 3px;
    box-sizing: border-box;
}

.message_holder .admin .user_detail img {
    margin-left: 10px;
    margin-right: 0;
}

.message_holder .message_item .user_detail span {
    display: inline-block;
    vertical-align: middle;
    color: var(--red);
    font-weight: 600;
    font-size: 14pt;
}

.message_holder .message_item .message_text {
    display: inline-block;
    padding: 16px;
    color: var(--dark);
    vertical-align: top;
    width: calc(100% - 55px);
    box-sizing: border-box;
    font-size: 11pt;
}

.message_holder .admin {
    width: calc(100% - 100px);
    background: #FF920010;
    color: var(--gray-dark);
}

.message_holder .message_item .message_text p {
    display: block;
    font-size: 11pt;
    line-height: 1.6;
    margin-bottom: 10px;
    text-align: justify;
}

.message_holder .admin .message_text p {
    text-align: left;
}

.message_holder .message_item .date {
    display: block;
    color: var(--secondary);
    font-size: 6pt;
    font-weight: 300;
    box-sizing: border-box;
}

.notification_list {
    display: flex;
    flex-direction: column;
    justify-content: start;
    width: 375px;
    height: 0;
    padding: 0;
    overflow: hidden;
    position: absolute;
    left: 0;
    top: 60px;
    z-index: 15;
    transform: scale(0, 9);
    opacity: 0;
    background-color: var(--white);

    border: 1px solid var(--secondary);
    box-shadow: var(--box_shadow);
    border-radius: var(--radius_5);
}

.notification_list_open {
    overflow: auto !important;
    transform: scale(1, 1) !important;
    opacity: 1 !important;
    height: auto !important;
    padding: 12px;
    box-sizing: border-box;
}

.notification_list .list {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    height: 60px;
    border-bottom: 1px solid var(--light) !important;
    background: transparent;
    cursor: pointer;
}

.notification_list .list:hover {
    background: var(--light);
}

.notification_list .list .num {
    flex-grow: 1;
    padding: 5px;
    font-size: 24px;
    font-weight: 900;
    color: var(--green_700);
}

.notification_list .list .num i {
    font-size: 16px;
    color: var(--green_700);
}


.notification_list .text_btn {
    font-size: 16px;
    color: var(--green_700);
}

.notification_list .list .detail {
    display: flex;
    flex-direction: column;
    justify-content: start;
    width: 100%;
    height: 60px;
    flex-grow: 3;
    padding: 10px;
    box-sizing: border-box;
}

.notification_list .list .detail .title {
    font-size: 10pt;
    color: var(--dark);
    font-weight: 400;
}

.notification_list .list .sub_title {
    font-size: 8pt;
    color: var(--dark);
    font-weight: 200;
}

.notification_list .list .list_more {
    flex-grow: 1;
    padding: 10px;
    color: var(--dark);
}

.notification_list .list:hover .list_more img,
.notification_list .list:hover .num img {
    filter: invert(50%) sepia(51%) saturate(8646%) hue-rotate(346deg) brightness(104%) contrast(97%);
}

/*********************************/
@media screen and (max-width: 950px) {
    .panel_main .panel_analytics {
        flex-direction: column;
    }

    .panel_main .panel_analytics .w33 {
        width: 100%;
        flex: unset;
        margin-bottom: 16px;
        margin-left: 0;
    }
}

@media screen and (max-width: 768px) {
    .menu_res_btn {
        display: flex !important;
        align-items: center;
    }

    .panel_body .panel_side {
        position: fixed;
        width: calc(100% - 100px);
        right: -1000%;
        top: 0;
        bottom: 0;
        z-index: 12;
        background: var(--white);
        border-radius: 10px 0 0 10px;
        overflow: hidden;
        border-left: 1px solid var(--secondary);
        box-shadow: var(--box_shadow);
    }

    .panel_main {
        width: 100%;
        padding: 16px 0;
    }

    .table .table_header {
        display: none;
    }

    .table .table_row {
        height: auto;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
    }

    .table .table_row .num {
        display: inline-block;
        padding: 20px;
    }

    .table .table_header_hidden {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: flex-start;
        width: 100px;
    }

    .table .table_row .row {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: flex-start;
        width: calc(100% - 150px);
    }

    .table .table_row .span,
    .table .table_row span {
        width: 100% !important;
    }

    .table3 .item .right {
        flex-direction: column;
    }

    .table3 .item .right .table_row {
        width: 100%;
    }

    .form {
        flex-direction: column;
        align-items: flex-start;
        padding: 0 4px;
    }

    .form .w50 {
        width: 100%;
    }

    .message_holder .message_item {
        margin-bottom: 16px;
        width: 100% !important;
    }

    .message_holder .message_item .message_text {
        padding: 8px;
        width: calc(100% - 55px);
    }

    .message_holder .message_item .message_text p {
        text-align: justify;
    }

    .message_holder .admin {
        margin-top: 0;
        width: 100%;
        display: flex;
        justify-content: flex-end;
    }

    .message_holder .message_item .message_text {
    }


}

@media screen and (max-width: 550px) {


    .form_btn_holder {
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }

    .form_btn_holder .text_btn,
    .form_btn_holder .btn_primary,
    .form_btn_holder .btn_secondary {
        display: block;
        width: 100%;
        margin: 8px auto;
        box-sizing: border-box;
    }

    .form {
        padding: 16px 2px;
    }

    .panel_header .w50 {
        width: calc(100% - 50px);
    }

}